Hi ya, I just feel like sharing a little thing I did a while ago. I love it, anyway. Hope you do too. It draws a circular flange with outerØ, innerØ, bolt circle and holes in a snap. Feel free to give it away at Christmas. It's a great stocking stuffer. ;;; Flange.lsp ;;; Draws a flange with bolt circle (DEFUN c:flange(/ out in bc num trou cen cen1 cir1 cir2 cir3) (SETQ out (GETREAL "Give OUTER diameter : ") in (GETREAL "Give INNER diameter :") bc (GETREAL "Give bolt circle diameter : ") num (GETINT "How many holes : ") trou (GETREAL "Hole diameter : ") cen (GETPOINT "Insertion point : ") ) ;_ end of setq (IF (NOT (AND (TBLSEARCH "layer" "Axis") (TBLSEARCH "layer" "Contour") ) ;_ END and ) ;_ END not (PROGN (COMMAND "layer" "m" "Axis" "c" "Red" "" "l" "center" "" "") ;_ END COMMAND (COMMAND "layer" "m" "Contour" "c" "Magenta" "" "l" "continuous" "" "") ;_ END COMMAND ) ;_ END progn ) (SETVAR "OSMODE" 0) (setvar "CLAYER" "Contour") (COMMAND "_.circle" cen "D" out) (COMMAND "_.circle" cen "D" in) (SETQ cen1 (POLAR cen (/ PI 2) (/ bc 2))) (COMMAND "_.circle" cen1 "D" trou) (setq cir1 (entlast)) (setvar "CLAYER" "AXIS") (command "_.line" (polar cen1 (/ pi 2) (/ trou 2)) (polar cen1 (/ pi -2) (/ trou 2)) "") (setq cir2 (entlast)) (command "_.line" (polar cen1 pi (/ trou 2)) (polar cen1 0.0 (/ trou 2)) "") (setq cir3 (entlast)) (setvar "OSMODE" 0) (command "_.regen") (COMMAND "_.array" cir1 cir2 cir3 "" "P" cen num 360 "y") (setvar "CLAYER" "Contour") (SETVAR "OSMODE" 183) (PRINC) ) ;_ end of defun Dr Fléau